mcda_get_dominated <- function(M, minmaxcriteria = 'max') {
  #check validity of inputs
  ncrit <- ncol(M)
  if(nrow(M) < 2 || ncrit < 2) stop('Performance matrix must have at minimum 2 alteratives and criteria')
  if (!(is.matrix(M) || (is.data.frame(M))))
    stop("wrong performanceMatrix, should be a matrix or a data frame")

  PM <- util_pm_minmax(M, minmaxcriteria)
  nalt  <- nrow(PM)

  Dom <- matrix(data=0, nrow=nalt, nalt)
  dominatedOnes <- c()
  for(i in 1:nalt) {
    for(j in 1:nalt) {
      isDom <- T
      for(k in 1:ncrit) {
        isDom <- isDom && (PM[i,k] >= PM[j,k])
        if(!isDom) break
      }
      if(isDom && (i != j)) {
        Dom[j,i] <- 1
        dominatedOnes <- c(dominatedOnes,j)
      }
    }
  }
  colnames(Dom) <- rownames(Dom) <- rownames(M)
  return(t(Dom))
}
