# plot.prefM
#
# Specific function for an object of class prefM for the generic function plot()
#
# Arguments:
#    PM - weighted preference matrix
#
# Returns
#   plot
plot.prefM <- function(x, ...) {
  PM <- x
  if (!(is.matrix(PM) || (is.data.frame(PM)))) stop("wrong performanceMatrix, should be a matrix or a data frame")
  nr <- ncol(PM)
  if (nr != nrow(PM)) stop("Different number of alternatives in columns and rows")
  if (nr < 2) stop("less than 2 alternatives")
  i <- sapply(PM, is.numeric)
  if (length(i[i %in% F]) > 0) stop(" Performance matrix must be numeric ")

  X <- t(PM) # we want arrows to mean '... is better then ...' plotmat uses the
  # opposite convention because it expects flows
  plotmat(X,
          box.size = 0.1,
          cex.txt = 0,
          lwd = 5 * X, # lwd proportional to preference
          self.lwd = 3,
          lcol = 'blue',
          self.shiftx = c(0.06, -0.06, -0.06, 0.06),
          box.lcol = 'blue',
          box.col = 'khaki3',
          box.lwd = 2,
          relsize = 0.9,
          box.prop = 0.5,
          endhead = FALSE,
          main = '',
          ...)
}
