# plot.scoreM
#
# Specific function for an object of class scoreM for the generic function plot()
#
# Arguments:
#    PM - weighted preference matrix
#
# Returns
#   plot
plot.scoreM <- function(x, ...) {
  PM <- x
  #1. order the rows according to rowSums
  PM <- PM[order(rowSums(PM), decreasing = T),]
  #2. use a bar-plot of the transposed matrix
  tPM <- t(PM)
  ms  <- max(colSums(tPM)) * 1.25 #make room for legend
  alt <- sapply(lapply(colnames(tPM), strwrap, 10),
                paste, collapse = "\n")
  colnames(tPM) <- alt
  barplot(tPM,
          legend = T,
          ylab = 'Score',
          ylim = c(0, ms),
          col = rainbow(ncol(PM)),
          las = 2,
          args.legend = list(x = 'top', bty='n', ncol = 3),
          ...
  )
}
