\name{plot.prefM}
\alias{plot.prefM}
\alias{plot}
\title{plot.prefM : Function to plot preference direction using plotmat function}
\description{Takes preference matrix and uses it to plot the relations between the alternatives (what altrenative is prefered in comparison to which alternative).}

\usage{
  plot(x, ...)
}

\arguments{
  \item{x}{preference matrix - values in matrix used to descibe strength of the relation.}
  \item{...}{allows user to specify other parameters of plotmat function from diagram package.}
}

\references{De Brouwer, Philippe J. S.: "The The Big R-Book: From Data Science to Learning Machines and Big Data ", Wiley, 2020, 928 p., ISBN  978-1119632726.}

\author{Pavel Šenovský \email{pavel.senovsky@vsb.cz}}

\examples{
  alternatives <- c('BLR', 'BOM', 'DEL', 'MNL', 'HYD', 'GRU', 'DUB', 'KRK', 'MAA', 'EZE')
  M <- rbind(
    c(0, 0, 0, 1, 1, 0, 0, 0, 1, 0),
    c(0, 0, 1, 1, 1, 1, 0, 0, 1, 0),
    c(0, 0, 0, 1, 1, 0, 0, 0, 1, 0),
    c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
    c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
    c(0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
    c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
    c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
    c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
    c(0, 0, 0, 0, 1, 1, 0, 0, 0, 0)
  )
  rownames(M) <- alternatives
  colnames(M) <- alternatives
  class(M)    <- 'prefM'
  plot(M)
}

\keyword{ MCDA }
\keyword{ domination }
